GNU bug report logs - #41129
outline-mode: New keybindings for demote/promote/move-subtree

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefankangas@HIDDEN>; dated Thu, 7 May 2020 20:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 3 Mar 2021 19:14:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 03 14:14:54 2021
Received: from localhost ([127.0.0.1]:57007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHWxS-0000YS-Cj
	for submit <at> debbugs.gnu.org; Wed, 03 Mar 2021 14:14:54 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:50043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lHWxR-0000Y2-Fh
 for 41129 <at> debbugs.gnu.org; Wed, 03 Mar 2021 14:14:53 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 4BD73C0004;
 Wed,  3 Mar 2021 19:14:45 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Organization: LINKOV.NET
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN> <ly1re2qq6v.fsf@HIDDEN>
 <83h7my8fu5.fsf@HIDDEN> <lytuqyp8ft.fsf@HIDDEN>
Date: Wed, 03 Mar 2021 21:10:13 +0200
In-Reply-To: <lytuqyp8ft.fsf@HIDDEN> (Howard Melman's message of "Sat, 30
 Jan 2021 13:48:38 -0500")
Message-ID: <87a6rkcfpi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Maybe these bindings could be in another minor-mode that
> could be enabled by those users that want them?
> outline-use-org-bindings-minor-mode.

bug#45147 implemented new mode outline-cycle-minor-mode
for Org-like TAB cycling in outline-minor-mode.

It's easy to customize outline-mode-cycle-map
and to bind M-left/right to outline-promote/demote:

(define-key outline-mode-cycle-map [(meta left)] 'outline-promote)
(define-key outline-mode-cycle-map [(meta right)] 'outline-demote)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 30 Jan 2021 19:54:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 14:54:59 2021
Received: from localhost ([127.0.0.1]:55852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5wKg-0005C6-3P
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 14:54:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l5wKe-0005Bs-RS
 for 41129 <at> debbugs.gnu.org; Sat, 30 Jan 2021 14:54:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50487)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l5wKZ-0004Ah-JM; Sat, 30 Jan 2021 14:54:51 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2675
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l5wKZ-0001ZY-0L; Sat, 30 Jan 2021 14:54:51 -0500
Date: Sat, 30 Jan 2021 21:55:12 +0200
Message-Id: <83a6sq8ajj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>
In-Reply-To: <lypn1mp616.fsf@HIDDEN> (message from Howard Melman on Sat, 
 30 Jan 2021 14:40:37 -0500)
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN> <ly1re2qq6v.fsf@HIDDEN>
 <83h7my8fu5.fsf@HIDDEN> <lytuqyp8ft.fsf@HIDDEN>
 <83czxm8c1t.fsf@HIDDEN> <lypn1mp616.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Howard Melman <hmelman@HIDDEN>
> Date: Sat, 30 Jan 2021 14:40:37 -0500
> 
> I mean yes, they do something expected in left-to-right
> text, but in strict left-to-right usage these bindings are
> unnecessary because of M-f and M-b.

They are necessary because users (including users of strict
left-to-right text) expect C-<RIGHT> etc. to do what they do in
Emacs.  M-f and M-b are Emacs-specific.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2021 19:40:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 14:40:50 2021
Received: from localhost ([127.0.0.1]:55843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5w6z-0004s1-Qk
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 14:40:50 -0500
Received: from lists.gnu.org ([209.51.188.17]:47258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5w6x-0004rs-0S
 for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 14:40:49 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59350)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5w6w-0003LX-Pg
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 14:40:46 -0500
Received: from ciao.gmane.io ([116.202.254.214]:33248)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5w6v-0006Fz-EM
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 14:40:46 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5w6t-0008K3-QU
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 20:40:43 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Date: Sat, 30 Jan 2021 14:40:37 -0500
Message-ID: <lypn1mp616.fsf@HIDDEN>
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN> <ly1re2qq6v.fsf@HIDDEN>
 <83h7my8fu5.fsf@HIDDEN> <lytuqyp8ft.fsf@HIDDEN>
 <83czxm8c1t.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:NhmX8/7OFLwdSf6rXaNarGaI1t8=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


Eli Zaretskii <eliz@HIDDEN> writes:

> The bindings have nothing to do with bidirectional text.  C-<RIGHT>
> and C-<LEFT> (and the corresponding M- bindings) have a meaning in
> strict left-to-right text as well: they move by words in the
> corresponding directions.

>> Does outline-mode support right-to-left oriented outlines?
>> Does org?
>
> Yes to both questions, but again: the issue at hand has nothing to do
> with bidirectional editing.

I mean yes, they do something expected in left-to-right
text, but in strict left-to-right usage these bindings are
unnecessary because of M-f and M-b.  It's not like emacs
enables cua-mode by default because other programs use those
bindings and users expect it.

Even the emacs manual says:  "This command (‘right-word’)
behaves like ‘M-f’, except it moves _backward_ by one word
if the current paragraph is right-to-left. *Note Bidirectional Editing."

>> Maybe these bindings could be in another minor-mode that
>> could be enabled by those users that want them?
>> outline-use-org-bindings-minor-mode. 
>
> I think the idea is that many users want them.

I agree.  

-- 

Howard





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 30 Jan 2021 19:22:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 14:22:27 2021
Received: from localhost ([127.0.0.1]:55833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5vpC-0002Ld-RX
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 14:22:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l5vpA-0002LP-Hq
 for 41129 <at> debbugs.gnu.org; Sat, 30 Jan 2021 14:22:25 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50108)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l5vp5-00071z-CG; Sat, 30 Jan 2021 14:22:19 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4667
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l5vp4-0004ZW-GR; Sat, 30 Jan 2021 14:22:18 -0500
Date: Sat, 30 Jan 2021 21:22:38 +0200
Message-Id: <83czxm8c1t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>
In-Reply-To: <lytuqyp8ft.fsf@HIDDEN> (message from Howard Melman on Sat, 
 30 Jan 2021 13:48:38 -0500)
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN> <ly1re2qq6v.fsf@HIDDEN>
 <83h7my8fu5.fsf@HIDDEN> <lytuqyp8ft.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Howard Melman <hmelman@HIDDEN>
> Date: Sat, 30 Jan 2021 13:48:38 -0500
> 
> > This command has two bindings not because of its importance, but
> > because other programs out there use those bindings.  Emacs is
> > following the expectations of the users here.
> 
> Ok, but in emacs they expect and need both?

Yes, because some applications support one and others the other key
binding.

> How do they adjust in org mode? Or is this a complaint that users of
> right-word have in org-mode? Would users of outline-minor-mode
> adjust similarly?

The bindings have nothing to do with bidirectional text.  C-<RIGHT>
and C-<LEFT> (and the corresponding M- bindings) have a meaning in
strict left-to-right text as well: they move by words in the
corresponding directions.

> Does outline-mode support right-to-left oriented outlines?
> Does org?

Yes to both questions, but again: the issue at hand has nothing to do
with bidirectional editing.

> I'm guessing not because then these arrow key bindings would want to
> adjust demote/promote behavior accordingly.  Should they?

That's a separate issue, for which I have no definite opinions to
offer.  I chimed in to set the record straight on these bindings
regardless of Org or Outline.  Whether rebinding these to
level-related commands will or will not confuse users of Org and
Outline is something for those users to say.

> Maybe these bindings could be in another minor-mode that
> could be enabled by those users that want them?
> outline-use-org-bindings-minor-mode. 

I think the idea is that many users want them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2021 18:48:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 13:48:57 2021
Received: from localhost ([127.0.0.1]:55799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5vIk-0001Xl-Ep
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 13:48:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:45880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5vIf-0001XZ-Cj
 for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 13:48:52 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52266)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5vIf-0003AW-4D
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 13:48:49 -0500
Received: from ciao.gmane.io ([116.202.254.214]:40996)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5vId-0000kU-NM
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 13:48:48 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5vIZ-0002EE-VN
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 19:48:43 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Date: Sat, 30 Jan 2021 13:48:38 -0500
Message-ID: <lytuqyp8ft.fsf@HIDDEN>
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN> <ly1re2qq6v.fsf@HIDDEN>
 <83h7my8fu5.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:K/2uquU+lv3zSnAoIv+gw2Vr9kE=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Howard Melman <hmelman@HIDDEN>
>> Date: Sat, 30 Jan 2021 12:39:52 -0500
>> 
>> the command right-word, which is only useful when editing
>> bidirectional
>
> This assertion is incorrect.  The real goal of right-word is to
> provide a command that works as users expect in both left-to-right and
> right-to-left contexts.  The alternative would be to request that the
> user should decide whether to use M-f or M-b to go in a particular
> direction, and that's a non-starter.

I stand corrected.  I'm a left-to-right only user and I
won't make the case that that is more important, merely that
I'm unfamiliar with the specifics of other users.

>> is so important it needs TWO very similar default key bindings
>> (M-right and C-right)
>
> This command has two bindings not because of its importance, but
> because other programs out there use those bindings.  Emacs is
> following the expectations of the users here.

Ok, but in emacs they expect and need both?  How do they
adjust in org mode? Or is this a complaint that users of
right-word have in org-mode? Would users of
outline-minor-mode adjust similarly?

Does outline-mode support right-to-left oriented outlines?
Does org?  I'm guessing not because then these arrow key
bindings would want to adjust demote/promote behavior
accordingly.  Should they?

Maybe these bindings could be in another minor-mode that
could be enabled by those users that want them?
outline-use-org-bindings-minor-mode. 

-- 

Howard





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 30 Jan 2021 18:00:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 13:00:45 2021
Received: from localhost ([127.0.0.1]:55766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5uY7-0000Oi-6x
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 13:00:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l5uY4-0000OU-Dc
 for 41129 <at> debbugs.gnu.org; Sat, 30 Jan 2021 13:00:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48956)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l5uXz-00052O-3k; Sat, 30 Jan 2021 13:00:35 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3650
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l5uXt-0002mS-N7; Sat, 30 Jan 2021 13:00:33 -0500
Date: Sat, 30 Jan 2021 20:00:50 +0200
Message-Id: <83h7my8fu5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>
In-Reply-To: <ly1re2qq6v.fsf@HIDDEN> (message from Howard Melman on Sat, 
 30 Jan 2021 12:39:52 -0500)
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN> <ly1re2qq6v.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Howard Melman <hmelman@HIDDEN>
> Date: Sat, 30 Jan 2021 12:39:52 -0500
> 
> the command right-word, which is only useful when editing
> bidirectional

This assertion is incorrect.  The real goal of right-word is to
provide a command that works as users expect in both left-to-right and
right-to-left contexts.  The alternative would be to request that the
user should decide whether to use M-f or M-b to go in a particular
direction, and that's a non-starter.

> is so important it needs TWO very similar default key bindings
> (M-right and C-right)

This command has two bindings not because of its importance, but
because other programs out there use those bindings.  Emacs is
following the expectations of the users here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2021 17:40:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 12:40:08 2021
Received: from localhost ([127.0.0.1]:55743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5uEA-0008Jr-6l
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 12:40:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:48864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5uE7-0008Jj-RK
 for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 12:40:04 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44134)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5uE7-000316-KK
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 12:40:03 -0500
Received: from ciao.gmane.io ([116.202.254.214]:42864)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5uE6-00047x-7F
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 12:40:03 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5uE4-0009B6-3D
 for bug-gnu-emacs@HIDDEN; Sat, 30 Jan 2021 18:40:00 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Date: Sat, 30 Jan 2021 12:39:52 -0500
Message-ID: <ly1re2qq6v.fsf@HIDDEN>
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
 <87k0rv0wqc.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:9BXL2iZjoC0LaavxXG2D7PjHCnc=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Howard Melman <hmelman@HIDDEN> writes:
>
>> If I'm correct that the standard cursor movement bindings on
>> M-<right>, M-<left> you're referring to are word movement
>> commands, then they also have existing bindings on C-<right>
>> and C-<left> and are at least very similar to M-f and M-b..
>
> That these commands also have other bindings doesn't really affect how
> annoying rebinding M-<right> is for the users that are used to M-<right>.

So I'm clear, the command right-word, which is only useful
when editing bidirectional (not merely right-to-left) text ,
and even then only changes the orientation of the very basic
command forward-word (still bound to M-f), is so important
it needs TWO very similar default key bindings (M-right and
C-right).  And an optional minor-mode, when enabled, can't
shadow ONE of those bindings so that its very commonly used
command outline-demote can be, by default, on the easy to
type and remember M-right instead of only the difficult to
type and remember C-c @ C-right to match the behavior of the
very popular org-mode.

I agree that default bindings should be changed with
caution, even great caution, but IMHO if this case doesn't
meet that threshold I'm hard pressed to think of another
that can.

-- 

Howard





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 30 Jan 2021 06:23:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 30 01:23:23 2021
Received: from localhost ([127.0.0.1]:53367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5jfG-0003J5-QH
	for submit <at> debbugs.gnu.org; Sat, 30 Jan 2021 01:23:23 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l5jfE-0003Iq-Aw
 for 41129 <at> debbugs.gnu.org; Sat, 30 Jan 2021 01:23:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YYj/VnQNw6Va5L6sFzk/gC4hId8ESMfG2aaF3SxJpfg=; b=qLZU63hXeSitUl8CJG4SXzBDYz
 UMwRhv5udOU52BsFK8tfP2H2b6P1UeInz3i7asSMaxUR/imQPbENVxT2P3ldJ66R+aMC0Wvfv2BCM
 5alwAih3xwDjOhEa1fjVLJelfumJ5R+uoESH+S+4G6/JMlzFWy298OYk8NioJGf9YT1A=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l5jf3-0004ib-0c; Sat, 30 Jan 2021 07:23:14 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXcu6+qbl9eLioN
 BAb///8QCg2MAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UBHgYFForVFCsAAAGZSURBVDjLhZKLkcMg
 DESDrwEkGohEA0Hqv7fbBX+Sm3hOmUmIHystax6P/6rM7zqX4o6FoIrIJkc9NDJf56ZNauHjio9o
 PnfwwNM6iSpg0UMBTeUCoBvJqVi/VYr3cAzln0WKTSOemSRUz5kTlFKSFUK7HAtQjYLSJ3Gt1wwp
 kGguScdwqTxGvUD0dAKeCCONTqomnnp3f16NjRapcBwyZ6u2+tZakUW4H5Esi5BUKgAMgK62HQyk
 0rqpuy9F20Ggq6ZBINKpWGeKlginuM5EgvksTwKAcIx/wxk7ZnMewLMMLDwgagAbAcLacmzhpmYa
 wleLM3nCi+T4ycDCxJSgrdQycjS2h9z7rqAndp6Je46lKNw1ih0BzJHHDHdkuT+GXfM8XHk5QUQf
 EyAS95ADwEU06y++A1yYHLISSIV5nUCRUk8c61A4bglBD+bOIM4KQyRwaWziPU9bwVbYPjf7myLp
 in1Gn4d6rwVgJd9nXMBZ3wAM6neAIM878RecB/wEN8PnPbkD0W9Atjvgn6Dk18Klvlr3T3BTvw+Q
 kZeiVD5bAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAxLTMwVDA2OjA1OjIyKzAwOjAwDLrbIwAA
 ACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMS0zMFQwNjowNToyMiswMDowMH3nY58AAAAASUVORK5C
 YII=
X-Now-Playing: Simon & Garfunkel's _Live 1969_: "The Sound Of Silence"
Date: Sat, 30 Jan 2021 07:23:07 +0100
In-Reply-To: <ly5z3fqzio.fsf@HIDDEN> (Howard Melman's message of "Fri, 29
 Jan 2021 15:06:07 -0500")
Message-ID: <87k0rv0wqc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Howard Melman <hmelman@HIDDEN> writes: > If I'm correct
 that the standard cursor movement bindings on > M-<right>, M-<left> you're
 referring to are word movement > commands,
 then they also have existing bindings
 on C-<right> > and C-<left> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Howard Melman <hmelman@HIDDEN> writes:

> If I'm correct that the standard cursor movement bindings on
> M-<right>, M-<left> you're referring to are word movement
> commands, then they also have existing bindings on C-<right>
> and C-<left> and are at least very similar to M-f and M-b..

That these commands also have other bindings doesn't really affect how
annoying rebinding M-<right> is for the users that are used to M-<right>.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 29 Jan 2021 22:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 29 17:01:24 2021
Received: from localhost ([127.0.0.1]:53102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5bpS-00051e-Vz
	for submit <at> debbugs.gnu.org; Fri, 29 Jan 2021 17:01:24 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:48170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1l5bpP-00051M-ON
 for 41129 <at> debbugs.gnu.org; Fri, 29 Jan 2021 17:01:22 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 10TLi5Ar042180;
 Fri, 29 Jan 2021 22:01:10 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=jsCZGasqI6u6YdcNQN+OnhkRg+j84BtFx2YIr+MWZSw=;
 b=Yef/GCQTCE1AmbpC4ejQKSG+ZIjg+8vdrVuZfAEOc0WZkAIiKkebQixK+3e0qlvVRpMv
 oGs2QzaBHmCmYTuhVBtjmtNhNpsWzfQ3mymn9wn+zQSIXmLfIMPIJgwCs8P7cg18yew2
 Cy12MCP1oxNLxyTgOV/vgfzCcla3U7RjS5l0VJxA7wNlV8YV4brysGmYySqU20oRsggU
 9BIVR9EVk7UsMzaBErWqVNo3hMCrdxjs45Pjzy1FMSthPaiV26QmmTCoOz6wSYTx0PTm
 djgRPplmX127a4T2Avkferqn0FJvnjTi+JeHWfLlvwwkBwry8ooiFtEO7JFxGw7bzzBT 8w== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 368b7rbet1-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 29 Jan 2021 22:01:10 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 10TLfHwn017161;
 Fri, 29 Jan 2021 22:01:09 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2100.outbound.protection.outlook.com [104.47.70.100])
 by aserp3030.oracle.com with ESMTP id 368wcstftg-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 29 Jan 2021 22:01:09 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=OB0HIKT+duoVGsEc0Da8V7tk6m6BkWravbT5GJhcrbOwruO2cUj1R3e1T6/EtcKechJvmu2wASfRgNoWTqmUJOtJqD1xhJDTX2Key0JLBH4cmjE/roDfZ9gJy0PlFGcwg9fe2ydyK/51JbjfMdEkZiPLJ19PhbjJv4NVIfYdWm/FSk7wBjLxniOgjZ5KiNHIftAxXI7DU+TLnQWGAiPhoUdvT5Mu3/cRaNSZubL5NOlhuvdrImNLgvpYvrV56MdcM+//dXZ3XVlBe2KI07541/9WL20nDmXjM0Jpm+klvwUsNraVNQNhdOSb2YDgBUlGSGs5MZrWqwkoJJiub9cX0w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=jsCZGasqI6u6YdcNQN+OnhkRg+j84BtFx2YIr+MWZSw=;
 b=AuzxvmcFog7kLql5gmOdwnYP82y0uNM4E9EkJTdUqBwfgHbpQFaewscCG/9qa70/4UcT/wvyvLm/wr852z8Qg/b4SKn2GsTk/LgGWzqmyr07bv/pfLALeB7xhADYrfzcmEPBaUpU672LD7rYulhCP3ee8JQjbzZyvW0Q5+qBq40Yj7PVvaqzKrAH2TE3XbgApADFak/wahdZOF1+J1I6/HF3MKoXdnmidZE0hSoQCd1XTfQhytRlCB0Cp//hB9CMwGgHZR5bYvXEEqaAh3vYm0sR6kxH5DucZoqGypuCzh45YDU/w+871ISZGO1iEa0xscuXdMmtA3d7E871O3oJ8A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=jsCZGasqI6u6YdcNQN+OnhkRg+j84BtFx2YIr+MWZSw=;
 b=rT/8A6gBh2OBIF4V/WgguMjbE9dPCMBKyndG5xHKboRnnguvd7/SCetsJnLSr/qkJjZLk7jJblSvgWxd7l6hmRa9fBhOi3TJWEr0uCfl90E00coHE+q/j4vifjRUi8zIpYXDFMUCbnbRPdkFGByBRPzPUWgAe9Xp0eOynugJcrQ=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2736.namprd10.prod.outlook.com (2603:10b6:805:44::32)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3805.17; Fri, 29 Jan
 2021 22:01:07 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::dc4d:9cd0:2010:daa2]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::dc4d:9cd0:2010:daa2%7]) with mapi id 15.20.3805.019; Fri, 29 Jan 2021
 22:01:07 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>, "41129 <at> debbugs.gnu.org"
 <41129 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Thread-Topic: [External] : bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Thread-Index: AQHW9npTSO35WHFG/U+K0/Tfijichao/JPeQ
Date: Fri, 29 Jan 2021 22:01:07 +0000
Message-ID: <SA2PR10MB4474048C1A9992BD7F00D79BF3B99@HIDDEN>
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN> <ly5z3fqzio.fsf@HIDDEN>
In-Reply-To: <ly5z3fqzio.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: be97f217-848b-4dbe-0bf8-08d8c4a16129
x-ms-traffictypediagnostic: SN6PR10MB2736:
x-microsoft-antispam-prvs: <SN6PR10MB2736BFB22A6A9A7DBE955CEDF3B99@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: qc/RSKugzFJXQfI/iTXct5uHbyQvF8BK5yQinzMIGbHPASo6h0V3loJmzVN8a0QlNTSI7IeP6pDvWZW5mfVxma0ruVE7NhpNbz5vdYNeWlVcOETPPcvMr3fCXHCd0OPcv+ntEP5qibeyV0DY4xc7LyidwA8q5XpMBB3y0PA7UTF6ws4l8meqTDB4vdFlc5rZdijn3TPbYYK8cw4U0aTp5vR2WLgtPGDty3oLHmbSgo6X39tInPj8oNyS5b/ibXtC+OgBuh5r3z5XRafgURxcxWPECxPQiJDIx4xpFkVBZ+a+uZzZMcvLCRK/g/1F2OAlqS6TaPAz8RhBxgyi3owb64dn6nheCuT/CEdvvjGB61HWoAk3N/LssXIKUUweKkM2lU/LD/gl/XW+5NceX7tx6MiAHlwTGlA8Jnk7pMS0dp6rYAdnuK478aNCOO3ZSyAO2ahrPB3rAlYvSHVErKCfnVEwiFnor4Q8esqSh6NUKfTMq+SCIoOshxHhEylK0olQjFh/zM9CXiZZzr+5dJbFFg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(39860400002)(396003)(136003)(376002)(346002)(366004)(71200400001)(52536014)(2906002)(76116006)(478600001)(55016002)(66946007)(5660300002)(66476007)(66556008)(64756008)(66446008)(9686003)(8936002)(33656002)(8676002)(6506007)(186003)(44832011)(7696005)(26005)(86362001)(316002)(110136005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?nMns7K6Fnl0fywxlaM22gi9WTJLNI3BBD/eRrizAW99+iOt0KQCPAuSZfvwZ?=
 =?us-ascii?Q?tIK66mk66htkjZhuH0E5mhTaONov+W2/nScqh8bpo5/kneuHcbbSRqRrRF+a?=
 =?us-ascii?Q?WBfDBIzZbcZwNhyM5zXS7bSmqZpjszssLT664v1A+FW+rJC+HerChBiTsPXQ?=
 =?us-ascii?Q?zVa7fvdoRby7+tYR5OkAFd7z2gojPtbl3X0oBLa0kEX/XCkqryPjXi7LLK44?=
 =?us-ascii?Q?dnd2WrKvVfj+ZgoFXxZH8qSZGrm0UupJ5GzHYDI398H43y5i+cY1VPC09xWq?=
 =?us-ascii?Q?mLFmQT/2RTwKu7fFBwXXjm4HNWSQSlAlmeL4Eur/PBjKHXJuCwKGhQu1wt8/?=
 =?us-ascii?Q?YNHqkoqoeeUiTERwofyehiicP1wqg0gzSkmzQ4WFLnDRyIuildWQO6d9p9Xj?=
 =?us-ascii?Q?vrsdsZCMHCchti29mkl92kfLQhpP5YyCwGjnFbfgPqlsMhskNOAHZT3lrROp?=
 =?us-ascii?Q?VD8PZgo9ugS7ZLg1AkSsWzVtTgWvQlebja1CNFDj38Ug3lmoLeph6jx5bw5O?=
 =?us-ascii?Q?au/7fq9bezgmYCDSzDi1/eR55Fb6oiLjH857ll9aghRYAgGHw+dYD3VaGFDF?=
 =?us-ascii?Q?6jbQ3ifzEeMfMoMirEw1e538bMxKnGcGa4yfNQhnOu5Bw9QW4+WDXmXYYkTn?=
 =?us-ascii?Q?NlWcrOUoEx8m+ACU1jWNcWAnhNVPuj+d2eXRS06zNRwrZIFo9kGEC8a/8/uv?=
 =?us-ascii?Q?Kzy1UyWdY9bv0wwq7W/dDqqdbrNM+6voMXB7MbDyCK7N0UAw0zs/QN7is8pM?=
 =?us-ascii?Q?NeUiIsxRCM4I7ftLzQ3VsK9qDZxO5gK3au9fZVnZWbcWyl3WiE4v78pXnVvw?=
 =?us-ascii?Q?Kgn4VP2UiX/O7t0zJHIQcTsWVspKpW6/2vhOCxKFebnupofG4hU26iUmo1K1?=
 =?us-ascii?Q?WvgwA+imAjk/298hJ6G7veprVZrbuWX8Ri882ISvTUJkrZQZnp0BJ3X9r/MQ?=
 =?us-ascii?Q?yeQPwjNE9gUnDziy4WY++YS/gNpmjRBH7eDYmDIn55SpW9uCGyzNNVl/IfqK?=
 =?us-ascii?Q?9kSFxT2fXH4DFfleKCaB5T6svtHOBXS/6t2J1fdQnWvENHwwv+G3OgsdoIyN?=
 =?us-ascii?Q?VSb0J7La?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: be97f217-848b-4dbe-0bf8-08d8c4a16129
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Jan 2021 22:01:07.0270 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 4L6GYB9ntgF1m6ZmPc0rI8AX1ChfnEM6fjPTTxgBkfh8PZCDi9nNm4OnBdxxatn88r8+cPbC73EloYJLIT8bJg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2736
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9879
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 mlxscore=0 suspectscore=0
 phishscore=0 mlxlogscore=999 bulkscore=0 malwarescore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2101290106
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9879
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 spamscore=0 phishscore=0
 adultscore=0 impostorscore=0 malwarescore=0 lowpriorityscore=0 bulkscore=0
 priorityscore=1501 mlxscore=0 clxscore=1011 mlxlogscore=999
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2101290106
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41129
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Indeed.  Major modes (like Org) have greater leeway in defining
> > keystrokes than minor modes, though -- a minor mode has to be more
> > careful not to redefine common keystrokes because there's less of a
> > "buy in" from users than with a major mode like Org.
> >
> > So it might make sense for Org to bind M-<right>
> > to something while it'd be too intrusive for
> > outline-minor-mode.

I agree with Lars, there.

A minor mode, even when local to a buffer (not
explicitly global), is in a sense "global" - it
works across other modes, and needs to play well
with them.
___

Not directly related, but I also think it's a
no-no for a major mode such as Org to globally
bind a key that has no business being used
(because useless) outside Org mode.  That's the
point of bug #46087 (which has received no reply).

In the past, Org mode has even countered the key
binding guidelines, by binding keys in its major
mode map that are supposed to be reserved for
minor modes.  (I think that after some protest
that's now been corrected.)

I can understand that Org developers and users
would like many keys available by default, but
there's also a need to play well with other,
non-Org, uses of Emacs.

> If I'm correct that the standard cursor movement bindings on
> M-<right>, M-<left> you're referring to are word movement
> commands, then they also have existing bindings on C-<right>
> and C-<left> and are at least very similar to M-f and M-b.

Yes.

> So perhaps it's ok if outline-minor-mode shadows the
> M-<arrow> flavor of them, particularly if it aligns with
> org-mode.

Personally, I'd prefer that Emacs not bind
`M-left|right' keys by default, including in
Outline or Org modes (minor or major).

(I bind `M-left|right|up|down' to commands
that incrementally move the selected frame.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jan 2021 20:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 29 15:06:22 2021
Received: from localhost ([127.0.0.1]:53011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5a29-0008U1-Lz
	for submit <at> debbugs.gnu.org; Fri, 29 Jan 2021 15:06:22 -0500
Received: from lists.gnu.org ([209.51.188.17]:54162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5a26-0008Tr-6U
 for submit <at> debbugs.gnu.org; Fri, 29 Jan 2021 15:06:19 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5a26-0003lM-2k
 for bug-gnu-emacs@HIDDEN; Fri, 29 Jan 2021 15:06:18 -0500
Received: from ciao.gmane.io ([116.202.254.214]:54828)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5a24-00061I-Oi
 for bug-gnu-emacs@HIDDEN; Fri, 29 Jan 2021 15:06:17 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l5a21-0001P0-Kq
 for bug-gnu-emacs@HIDDEN; Fri, 29 Jan 2021 21:06:13 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
Date: Fri, 29 Jan 2021 15:06:07 -0500
Message-ID: <ly5z3fqzio.fsf@HIDDEN>
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 <87pn1oxs7u.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:1OdLuVL/N/Z5CFSmzknJeaNCaO8=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>>> Irrespective of the above issue, in my opinion, there should be a
>>> standardized way of doing similar things in Emacs.
>>
>> Agreed.  Perhaps it is possible to find a better alternative.  Such an
>> alternative should ideally be suitable for at least all three of
>> outline-mode, org-mode and outline-minor-mode.
>>
>> It might be hard to settle on something that makes everyone happy,
>> however.
>
> Indeed.  Major modes (like Org) have greater leeway in defining
> keystrokes than minor modes, though -- a minor mode has to be more
> careful not to redefine common keystrokes because there's less of a "buy
> in" from users than with a major mode like Org.
>
> So it might make sense for Org to bind M-<right> to something while it'd
> be too intrusive for outline-minor-mode.

If I'm correct that the standard cursor movement bindings on
M-<right>, M-<left> you're referring to are word movement
commands, then they also have existing bindings on C-<right>
and C-<left> and are at least very similar to M-f and M-b..
So perhaps it's ok if outline-minor-mode shadows the
M-<arrow> flavor of them, particularly if it aligns with
org-mode.

-- 

Howard





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 29 Jan 2021 04:49:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 28 23:49:58 2021
Received: from localhost ([127.0.0.1]:50800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l5LjK-0000tY-LQ
	for submit <at> debbugs.gnu.org; Thu, 28 Jan 2021 23:49:58 -0500
Received: from quimby.gnus.org ([95.216.78.240]:41330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l5LjH-0000tD-4z
 for 41129 <at> debbugs.gnu.org; Thu, 28 Jan 2021 23:49:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6By3hz6itVs3I/Ig3nJvpM8+pcBW3f46Y5zYXHDb494=; b=H7GKzh0SpxmQ3bLebtx+vjrtM5
 6X0FMqpDOgo3hVa03nDd6LYmUs+k7qk5fvPBzOBM60MXM4HqCzbTq4u30wN/gZETsSbgqJdgwuO0m
 Shw58GBAZ0EwEvBln6h9sTgHCR8OGuwp9WRhq0ceNg3Z9/n1ktPL5FC//5ExuCL+byd0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l5Lj4-0007iZ-Uo; Fri, 29 Jan 2021 05:49:47 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
 <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX+/fzso5/sXFfq
 gn7y09DoQz/0MzDbKii2tLPR0M7///9tPEDxAAAAAWJLR0QKaND0VgAAAAd0SU1FB+UBHQQtBtsO
 0WUAAAFfSURBVDjLpZO/T4NAFMe/Rw7DbaRRXIlWXB38A86mrWVjEeNmEV5nY1JXBpduF9Oh/Lc+
 2sTI8TZfwsD38+77fhwA/wp1bWW9pMrX9EknSv1kfhLWae2fYHM+sKE3GTxvKwFcZdXt1rdSDCYM
 qPBAAKwWRJ8Unzr8jQfAKaJjCfe3BL9YzU1NYcxg+vs+Ldk01n0NdBWvtEawrV3n3KB2jp3uvine
 R5HXVNtFXVbZCPsBmKGDm1PqzGHghAWMcwFZhx08gBzLCsN0jrDvMakx90HAm0BWDLdxnIMvTlNq
 R1667sELxkUmPVgLIIwZNNaMQO9VUppjFBeWv5LKjoGqEVJ/f6NI7vKMagHop1aVawH0Q5aVBMDr
 fRdB/CgWR1CoTARnqVEfEkh47qUwIS7j/XH9ArDQhWQ15VleBRA2vEfJSpXNzVYq3s7K5lzQTdtq
 SHEwrahH/AOIoJN9hPgBy9lLFo5mI2wAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDEtMjlUMDQ6
 NDU6MDYrMDA6MDAwiPsZAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAxLTI5VDA0OjQ1OjA2KzAw
 OjAwQdVDpQAAAABJRU5ErkJggg==
X-Now-Playing: DJ Nigga Fox's _Cranio_: "Karma"
Date: Fri, 29 Jan 2021 05:49:41 +0100
In-Reply-To: <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
 (Stefan Kangas's message of "Thu, 28 Jan 2021 09:07:30 -0600")
Message-ID: <87pn1oxs7u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: >> Irrespective
 of the above issue, in my opinion, there should be a >> standardized way of
 doing similar things in Emacs. > > Agreed. Perhaps it is possible to find
 a better alternative. Such an > al [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41129
Cc: Pankaj Jangid <pankaj@HIDDEN>, 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

>> Irrespective of the above issue, in my opinion, there should be a
>> standardized way of doing similar things in Emacs.
>
> Agreed.  Perhaps it is possible to find a better alternative.  Such an
> alternative should ideally be suitable for at least all three of
> outline-mode, org-mode and outline-minor-mode.
>
> It might be hard to settle on something that makes everyone happy,
> however.

Indeed.  Major modes (like Org) have greater leeway in defining
keystrokes than minor modes, though -- a minor mode has to be more
careful not to redefine common keystrokes because there's less of a "buy
in" from users than with a major mode like Org.

So it might make sense for Org to bind M-<right> to something while it'd
be too intrusive for outline-minor-mode.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 28 Jan 2021 15:07:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 28 10:07:39 2021
Received: from localhost ([127.0.0.1]:49360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l58tW-0001Oq-Sf
	for submit <at> debbugs.gnu.org; Thu, 28 Jan 2021 10:07:39 -0500
Received: from mail-pg1-f179.google.com ([209.85.215.179]:40291)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1l58tU-0001Oc-Uu
 for 41129 <at> debbugs.gnu.org; Thu, 28 Jan 2021 10:07:38 -0500
Received: by mail-pg1-f179.google.com with SMTP id b21so4463668pgk.7
 for <41129 <at> debbugs.gnu.org>; Thu, 28 Jan 2021 07:07:36 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=xD6rBi6gUrvchNSaeKUFMR6NiDeUGnYElyoWm8QRPJM=;
 b=TJpzF61gPO/MNZHgpb0UNN60Ys3YRb+ng1KqpExy088uoeXUvDShpP8wVxS3d1r2Jx
 ZhKS0OBx8AetfCfqW7B8uL9elbSUyWkiP7autLx3XYGk3h6qfR5No/XHc8oP81/ZjnJX
 +a86pBbvMk5Yq27AzWyOz6xKh9rZE4E9xSyXMSIkfiGLb8qLWTE12uA2aYGBnWR0XtIS
 0s3V6ZFToT9X3YI4gM+gliEwn4/L/Zp0cWJPFaVxUieT5np1yEWqX9unjOWDq3VxXkcm
 g7DrxhmmQmwsAcwAuA1jvKP1s4ERrwCF/gh7NSMHNmJaxzAkocK9WaT9OmQC0K+l9scv
 7rUw==
X-Gm-Message-State: AOAM532AswekSjWoqmRCt2N/xSczil8HXNGNCmy63MnC9EMazuCZGOqt
 hh3gToJDQZakXMN4yXRA79gmXeHdwCPyVUagcG8=
X-Google-Smtp-Source: ABdhPJwMFtHHckazgmP8CJFIs0ByliSn0+l5YNkxtAjY8EoaYkWATNTMM9hBjiJbZUoYmBm9amCf32sWo2yh2Z/0fcw=
X-Received: by 2002:a62:88cf:0:b029:1c0:d4fb:1e62 with SMTP id
 l198-20020a6288cf0000b02901c0d4fb1e62mr15918711pfd.58.1611846450960; Thu, 28
 Jan 2021 07:07:30 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 28 Jan 2021 09:07:30 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <m2czxpv1s6.fsf@HIDDEN>
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN> <m2czxpv1s6.fsf@HIDDEN>
MIME-Version: 1.0
Date: Thu, 28 Jan 2021 09:07:30 -0600
Message-ID: <CADwFkmke=zhzb-=P7a8bvNkxuB8rhuKgP_GKbKLEYUNs6SxqGQ@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
To: Pankaj Jangid <pankaj@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>>> (define-key outline-minor-mode-map (kbd "M-<left>") 'outline-promote)
>>> (define-key outline-minor-mode-map (kbd "M-<right>") 'outline-demote)
>>
>> `M-<right>' (etc) are already bound to cursor movement commands by
>> default, so this would shadow these bindings in outline-minor-mode?  I
>> think that would be inconvenient for many people.

Yes, it is a real problem.  But since this is context dependent, I find
that in practice I am rarely surprised by this.  YMMV.

>> I'm not sure M-<right> (etc) are obvious bindings for outline handling
>> even if that weren't the case.  Anybody got any opinions here?
>
> That is difficult question. Because people coming from org background
> will find it difficult if =E2=80=98M-<right>=E2=80=99 and =E2=80=98M-<lef=
t>=E2=80=99 don=E2=80=99t work as
> expected by them.

Right, this is the reason for suggesting this in the first place.

FWIW, I find the org-mode bindings to be okay in the sense that at least
they are easy to learn.  But I have found myself wanting something a bit
more ergonomic at times.

> Irrespective of the above issue, in my opinion, there should be a
> standardized way of doing similar things in Emacs.

Agreed.  Perhaps it is possible to find a better alternative.  Such an
alternative should ideally be suitable for at least all three of
outline-mode, org-mode and outline-minor-mode.

It might be hard to settle on something that makes everyone happy,
however.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 28 Jan 2021 09:39:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 28 04:39:17 2021
Received: from localhost ([127.0.0.1]:47264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l53ll-0005Fx-N8
	for submit <at> debbugs.gnu.org; Thu, 28 Jan 2021 04:39:17 -0500
Received: from mail-pf1-f180.google.com ([209.85.210.180]:33541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1l53lj-0005Fl-R1
 for 41129 <at> debbugs.gnu.org; Thu, 28 Jan 2021 04:39:16 -0500
Received: by mail-pf1-f180.google.com with SMTP id o20so3650560pfu.0
 for <41129 <at> debbugs.gnu.org>; Thu, 28 Jan 2021 01:39:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=mbmFkjHgxJhxZQDZFoO+5Syphn7GdM6oHiG0iZXxPrI=;
 b=dWuN4JjQTrSnjIvKWtv05afgevG6fCTCcBqh93sHw8pfE35sD7/pKfFpOv/77xxpPs
 Yj8yCLfxvGJz4zT4punMjR2NjYL/bf4+y3DYdd9DZjVpjQFkXi5bwjGE0+7UTDc5utS2
 32ek+4PkvUpO5yZ/XCaK4blOszyalYPlEKsp8YffEpRMHWQUX6WufDk1CQwq/3v4Xsng
 ONdZ+KCKCnuQmhjEJY5ozwNFWEkkjyQ7ZyYANbDHQoGqL2bQuE/K7tf/pW4sC+ps83J7
 Fi1CXZhoufKLu9xEKMHBLjmlJWMFNxmlgpaOn8Ho2VgRj39fAnIqUY7dsPMtAj9sC7mn
 /s8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=mbmFkjHgxJhxZQDZFoO+5Syphn7GdM6oHiG0iZXxPrI=;
 b=Swx6Mmibbd2T4aW9JgjV08kFF3cvdI51Fm52CAMN5MYoqISQDzUUog8pHGI5RwEArz
 ZCJMXP500UBQ9nOQY9ZmQ/lS1B6orzhmpUDNBV3pKuAuwlKiSRrIgaXJPlOlnx+J0x7S
 VD/2xChqxX1kbe/beTArarf3Ypz0oIl7Zr8uBC8RMdnurI2sr9T6UDGVu0k6yLILRqW5
 3kQ/3zLYSxsCBedyN9MpsOsLCyynWFhSshGwk1FkZn66NdyxefCw3Tc/DtskaYHbSgD5
 fdw/5qrA0LaruV2WaJ8vUYaZApLUx+O3bnQPrV8dQOZu75dP0ySpHjxfxmvmxgn2EUVK
 RLIg==
X-Gm-Message-State: AOAM532nd0ak6eTsvCf0sllUgSClw3zM/bAQFBbN3RA0lXoTL6M09KYO
 Jgw3dIgT436bdqIMwLEOGnsTGdVDrSsFGQ==
X-Google-Smtp-Source: ABdhPJxVtTUl05VGATlTRs+dL0Q6Wjk7BERL2/pxbzToX9yJuV4sEyjO30uOSszyK/8Z6UOsD8kgag==
X-Received: by 2002:a62:3386:0:b029:1ae:8580:99da with SMTP id
 z128-20020a6233860000b02901ae858099damr14857157pfz.61.1611826749621; 
 Thu, 28 Jan 2021 01:39:09 -0800 (PST)
Received: from mb2.local ([2405:201:5c06:700a:e5ec:38e8:c4a:b899])
 by smtp.gmail.com with ESMTPSA id br6sm4410569pjb.42.2021.01.28.01.39.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 28 Jan 2021 01:39:09 -0800 (PST)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 <87k0rx3792.fsf@HIDDEN>
Date: Thu, 28 Jan 2021 15:09:05 +0530
In-Reply-To: <87k0rx3792.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 28 Jan 2021 07:28:25 +0100")
Message-ID: <m2czxpv1s6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 41129
Cc: Stefan Kangas <stefan@HIDDEN>, 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>>> (define-key outline-minor-mode-map (kbd "M-<left>") 'outline-demote)
>>> (define-key outline-minor-mode-map (kbd "M-<right>") 'outline-promote)
>>
>> Sorry, that should be the other way around:
>>
>> (define-key outline-minor-mode-map (kbd "M-<left>") 'outline-promote)
>> (define-key outline-minor-mode-map (kbd "M-<right>") 'outline-demote)
>
> `M-<right>' (etc) are already bound to cursor movement commands by
> default, so this would shadow these bindings in outline-minor-mode?  I
> think that would be inconvenient for many people.
>
> I'm not sure M-<right> (etc) are obvious bindings for outline handling
> even if that weren't the case.  Anybody got any opinions here?

That is difficult question. Because people coming from org background
will find it difficult if =E2=80=98M-<right>=E2=80=99 and =E2=80=98M-<left>=
=E2=80=99 don=E2=80=99t work as
expected by them. But then how many people will use both, org and the
outline-mode.

Irrespective of the above issue, in my opinion, there should be a
standardized way of doing similar things in Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 28 Jan 2021 06:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 28 01:28:37 2021
Received: from localhost ([127.0.0.1]:46849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l50nF-0000Ln-DL
	for submit <at> debbugs.gnu.org; Thu, 28 Jan 2021 01:28:37 -0500
Received: from quimby.gnus.org ([95.216.78.240]:58634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l50nD-0000LX-Us
 for 41129 <at> debbugs.gnu.org; Thu, 28 Jan 2021 01:28:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ezs8ngSPsiOyKKoYTZn6aUsMGkFnFR8bTbLB05NV6Mw=; b=Ay80xgZkbS7bf7VhNgAJwxWJ+K
 z+64H91o9+SabWfP/haP4z8wENH/ONjJAac3ZDszon8DhbroIQOSX0QklIyH2YgnwE2lKrIX3iOon
 z2/o9MWel4ElYpGKRAz8rwg/9oUpJTU1viQAPN/CTxwtGeVFqaM7r62E8smjD/rD6Ykw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l50n4-00055X-J5; Thu, 28 Jan 2021 07:28:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
X-Now-Playing: A Certain Ratio's _acr:box (1)_: "Knife Slits Water (12 Inch
 Version)"
Date: Thu, 28 Jan 2021 07:28:25 +0100
In-Reply-To: <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
 (Stefan Kangas's message of "Fri, 8 May 2020 13:56:16 -0400")
Message-ID: <87k0rx3792.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: >> (define-key
 outline-minor-mode-map
 (kbd "M-<left>") 'outline-demote) >> (define-key outline-minor-mode-map (kbd
 "M-<right>") 'outline-promote) > > Sorry, that should be the other way around:
 > > (d [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41129
Cc: 41129 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

>> (define-key outline-minor-mode-map (kbd "M-<left>") 'outline-demote)
>> (define-key outline-minor-mode-map (kbd "M-<right>") 'outline-promote)
>
> Sorry, that should be the other way around:
>
> (define-key outline-minor-mode-map (kbd "M-<left>") 'outline-promote)
> (define-key outline-minor-mode-map (kbd "M-<right>") 'outline-demote)

`M-<right>' (etc) are already bound to cursor movement commands by
default, so this would shadow these bindings in outline-minor-mode?  I
think that would be inconvenient for many people.

I'm not sure M-<right> (etc) are obvious bindings for outline handling
even if that weren't the case.  Anybody got any opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at 41129 <at> debbugs.gnu.org:


Received: (at 41129) by debbugs.gnu.org; 8 May 2020 17:56:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 08 13:56:23 2020
Received: from localhost ([127.0.0.1]:46268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jX7EV-00006F-EZ
	for submit <at> debbugs.gnu.org; Fri, 08 May 2020 13:56:23 -0400
Received: from mail-yb1-f173.google.com ([209.85.219.173]:38655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jX7EU-000062-GU
 for 41129 <at> debbugs.gnu.org; Fri, 08 May 2020 13:56:22 -0400
Received: by mail-yb1-f173.google.com with SMTP id w19so1361481ybs.5
 for <41129 <at> debbugs.gnu.org>; Fri, 08 May 2020 10:56:22 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to;
 bh=coYPK7XXMRaYK6mTDTKkIfutxpNVIzzHP5F6Ais5njM=;
 b=NikNdWuimzlUMAIRE59fCpJ8v8FFwjxdfjC+hrOfxUTOX6q5zTA1hu7x5dwoKRZIyj
 S/RQJYp4AcnZO5f8zzWt4buHynVtyDePgtm+IgK9+dsHtQXi7ACD4eGzR+3yxp0o8rrJ
 h0RjeXUxnPCFnIztrIDGindsJ4HpNiPGQydz623GpwXvn6D5rMBPOAAG34CRHhYAI36u
 ZmSBLKW+lXCO6Deq4us9NSA7JbW2BqlJqXZYMHax7Gh9KYksOGOR1dGU43dC86wGfEYv
 1NcxDw2vU2/N9Jr+VsIJ3S3yeUmb3W0wsOJ7nPtPFGomEo5fRBXq30RAVLsHJNc+3sqo
 Xkpg==
X-Gm-Message-State: AGi0PuZhTR/7zFNHHpIWs3i8dvoi3eJrPBINAsey3A3vx/6glAhC6nYV
 WlNuXlfp8RXKveWyS3Arg8QeWnTIWm51VVBLJQmO5w==
X-Google-Smtp-Source: APiQypJCFBJ22gMAqiMEg7X+xK04spHkPDmgreIpGZLeN0GCiR2Enc5IJqL92mbKoI81VKDr5HZfYuuASy+iGn/RynY=
X-Received: by 2002:a25:c402:: with SMTP id u2mr6431541ybf.231.1588960576853; 
 Fri, 08 May 2020 10:56:16 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 8 May 2020 13:56:16 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
 (Stefan Kangas's message of "Thu, 7 May 2020 16:49:46 -0400")
References: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 8 May 2020 13:56:16 -0400
Message-ID: <CADwFkmkJ2c-n_UrmBVBnZvYxjewVBDp53BO9ZQauAb9Fgfvt9g@HIDDEN>
Subject: Re: bug#41129: outline-mode: New keybindings for
 demote/promote/move-subtree
To: 41129 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41129
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> (define-key outline-minor-mode-map (kbd "M-<left>") 'outline-demote)
> (define-key outline-minor-mode-map (kbd "M-<right>") 'outline-promote)

Sorry, that should be the other way around:

(define-key outline-minor-mode-map (kbd "M-<left>") 'outline-promote)
(define-key outline-minor-mode-map (kbd "M-<right>") 'outline-demote)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 May 2020 20:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 07 16:49:51 2020
Received: from localhost ([127.0.0.1]:44043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jWnSp-0005Om-4m
	for submit <at> debbugs.gnu.org; Thu, 07 May 2020 16:49:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:40288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jWnSn-0005Of-Kn
 for submit <at> debbugs.gnu.org; Thu, 07 May 2020 16:49:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49702)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1jWnSn-0005c7-AJ
 for bug-gnu-emacs@HIDDEN; Thu, 07 May 2020 16:49:49 -0400
Received: from mail-yb1-xb29.google.com ([2607:f8b0:4864:20::b29]:37185)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1jWnSm-0000kT-Ac
 for bug-gnu-emacs@HIDDEN; Thu, 07 May 2020 16:49:48 -0400
Received: by mail-yb1-xb29.google.com with SMTP id f5so3654886ybo.4
 for <bug-gnu-emacs@HIDDEN>; Thu, 07 May 2020 13:49:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:mime-version:date:message-id:subject:to;
 bh=SKyw37WLSGnT13l8fW9zvqYtJ/VU4qD3zNe6TpZT0wY=;
 b=V4SuQmt/TrSwgCTmYhVm07kzGQ4/PAARDT2yw+a48erjjA7S00JGGdiEttOwX+Z+ew
 MmH240eFk2YGQI4rUkYLjKXCLWQ+hgRuWDvyg+teFKoVp7qUbAvQTVpsN/7Dym+y2Bfi
 qp1YKhS3TL3w6d8ZaCqwuTq311ieqvNrm00cPPVf/2euFz4ZDzfFLDDBz4bk/pQFbJ7H
 xkjz+LVZxmJzXCP26iW7dosk3P+IdLncF450a7oaxS3Tbao/zK6TSJ8Vntbs/pk6CYSO
 FV1a+gl1AWvj1kIPGy7Y6GwBHoKdy6gToFfDCWgkrxbLk5wumXOp14sdnjprKxjxsCq2
 QY+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=SKyw37WLSGnT13l8fW9zvqYtJ/VU4qD3zNe6TpZT0wY=;
 b=Ryyx7Zgh7fkewHch/XKI8mlE9JhsstktwDbkLSsxGxO0eoyUWLP5YIKvAg7fJczcVd
 fXfhTw03THvUa/Q8mOI9eehqZLIyA9gGh6uj3sh8sVn+f26yvVourmIToD5iadt8VANN
 5DUe3wuRLz1GkJEis2S+WScet9i4kOom9YAia3G8sel4CLYENV294sGR25z/aI71AUWB
 9XGJK4onT65zvRR/dQ61uOFAF2V8xJKhct0mpEiWb12kK1wXV9Fy1wHdN518DUgLaj5/
 XB3yEIpimOFH/WQB4BfbltcuWeorzDSKWTFoB6XL8xhMB4AcNw4Fhz8VrU2zLpI0snlk
 6zaw==
X-Gm-Message-State: AGi0PuYby81s4saWRLP6Bnwd9DWAJylW5peesUgIMp8jDCn/jofKeHGI
 unRG9IPU7Xo7T2zt4unYK/N3KXhaQgTtY5XrBbrMSQ==
X-Google-Smtp-Source: APiQypJXb0jjZbYKweJk/rMb69U8XVL7ojC1O088Ibt0vBJxRBDF6QGF2qedJJ6sqWdsL73zr70NogPHkGK5Qf3kJ1w=
X-Received: by 2002:a25:5c4:: with SMTP id 187mr26574960ybf.181.1588884587028; 
 Thu, 07 May 2020 13:49:47 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 7 May 2020 16:49:46 -0400
From: Stefan Kangas <stefankangas@HIDDEN>
MIME-Version: 1.0
Date: Thu, 7 May 2020 16:49:46 -0400
Message-ID: <CADwFkmmQAHgGJPdccKQLWzFwGXbFUEyoAw19tT1OL1pKUb5BAw@HIDDEN>
Subject: outline-mode: New keybindings for demote/promote/move-subtree
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b29;
 envelope-from=stefankangas@HIDDEN; helo=mail-yb1-xb29.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_PASS=-0.001, UNPARSEABLE_RELAY=0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Severity: wishlist

Please consider adding the following keybindings to outline-mode:

(define-key outline-minor-mode-map (kbd "M-<left>") 'outline-demote)
(define-key outline-minor-mode-map (kbd "M-<right>") 'outline-promote)
(define-key outline-minor-mode-map (kbd "M-<up>") 'outline-move-subtree-up)
(define-key outline-minor-mode-map (kbd "M-<down>") 'outline-move-subtree-down)

They are already there in Org-mode and many users swear by them.

Background:
https://lists.gnu.org/archive/html/emacs-devel/2020-04/msg01887.html

These keybindings were first suggested by Howard Melman in the above
thread.

Best regards,
Stefan Kangas




Acknowledgement sent to Stefan Kangas <stefankangas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41129; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Mar 2021 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.